VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::recovery::restore::JobTypes::BackupRestoreProcessState Class Reference

`Job.BackupRestoreProcessState` enumerated type Defines state of backup/restore process More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, FAILED, INPROGRESS, NONE, SUCCEEDED }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static BackupRestoreProcessState[] | GetValues ()
static BackupRestoreProcessState | ValueOf (string name)
## Static Public Attributes
static readonly BackupRestoreProcessState | FAILED = new BackupRestoreProcessState("FAILED", Values.FAILED)
| Failed.
static readonly BackupRestoreProcessState | INPROGRESS = new BackupRestoreProcessState("INPROGRESS", Values.INPROGRESS)
| In progress.
static readonly BackupRestoreProcessState | NONE = new BackupRestoreProcessState("NONE", Values.NONE)
| Not started.
static readonly BackupRestoreProcessState | SUCCEEDED = new BackupRestoreProcessState("SUCCEEDED", Values.SUCCEEDED)
| Completed successfully.

## Detailed Description

`Job.BackupRestoreProcessState` enumerated type Defines state of backup/restore process

## Member Enumeration Documentation

enum vmware::appliance::recovery::restore::JobTypes::BackupRestoreProcessState::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  FAILED | Failed.
  INPROGRESS | In progress.
  NONE | Not started.
  SUCCEEDED | Completed successfully.

## Member Function Documentation

Values vmware::appliance::recovery::restore::JobTypes::BackupRestoreProcessState::GetEnumValue | ( |  | ) | `[inline]`

static BackupRestoreProcessState [] vmware::appliance::recovery::restore::JobTypes::BackupRestoreProcessState::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::recovery::restore::JobTypes::BackupRestoreProcessState::IsUnknown | ( |  | ) | `[inline]`

static BackupRestoreProcessState vmware::appliance::recovery::restore::JobTypes::BackupRestoreProcessState::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly BackupRestoreProcessState vmware::appliance::recovery::restore::JobTypes::BackupRestoreProcessState::FAILED = new BackupRestoreProcessState("FAILED", Values.FAILED)`[static]`

Failed.

readonly BackupRestoreProcessState vmware::appliance::recovery::restore::JobTypes::BackupRestoreProcessState::INPROGRESS = new BackupRestoreProcessState("INPROGRESS", Values.INPROGRESS)`[static]`

In progress.

readonly BackupRestoreProcessState vmware::appliance::recovery::restore::JobTypes::BackupRestoreProcessState::NONE = new BackupRestoreProcessState("NONE", Values.NONE)`[static]`

Not started.

readonly BackupRestoreProcessState vmware::appliance::recovery::restore::JobTypes::BackupRestoreProcessState::SUCCEEDED = new BackupRestoreProcessState("SUCCEEDED", Values.SUCCEEDED)`[static]`

Completed successfully.

The documentation for this class was generated from the following file:

- restore/JobTypes.cs